I cant start server 3.11.0 (CPU does not have POPCNT)

Then i quess i need to wait for a TS3 version that supports my old cpu again! just a shame i needed to use hours to find out what issue now again! and a shame for the offtime my server had again!
still just wonder about! why i even cant get the backups with the older version up and run anymore! unless i put them as example on my windows 10 desktop machine!

about to test if it for sure is the cpu issue by running a win 10 VM on the server and see if it runs with that! or it just is an server 2012 software issue!

actually insane how many servers are down right now! so i quess im not the only one having problems!

gonna use the older version 3.10.2 as that actually works!

Hi,

We’ve been running ts3 server on our Debian 9 x64 os for a few years. Today it is down. I’ve checked with our hosts and the server is fine. From reading the above I’m wondering has there been a recent issue that is effecting us too?

note: All was fine last night and as far as I’m aware it doesn’t auto-update.

Any advice would be welcome.
Cheers.

You should read the server log in case you did nothing else.
You may also had problems with accounting and not with your CPU.

No the server does not have any auto update feature yet.

2 Likes

Many thanks for the response.

I’m logged in via putty and started the server but users still are failing to connect. Could you tell me how to get the logs up please?

Many thanks.

edit:

ts3server.pid found, but no server running. Possibly your previously started ser ver crashed
Please view the logfile for details.
WARNING ! For security reasons we advise: DO NOT RUN THE SERVER AS ROOT
!!!
Starting the TeamSpeak 3 server
TeamSpeak 3 server started, for details please view the log file
[email protected]:~/teamspeak3-server_linux_amd64# 2020-01-31 15:33:44.632660|CRITI CAL|Accounting | |Failed loading default license file!

And do not run the server as root!

3 Likes

Oh thank you so much. Very helpful indeed, I’ve been on this all morning and yes, I was waiting for you to admonish me for the “root” but I’m somewhat clueless with Linux - I’ll ask another in my gaming community to assist with that.

Many, many thanks again. :slight_smile: :slight_smile:

I had this same problem. My home server expired last night. Downloaded newest version and installed. Kept crashing but no errors in logs. Saw this thread and downloaded 3.10.2 and now all working again.

Will this problem be fixed by the time 3.10.2 expires (July 1 2020) please ? @TS.ChrisR

Can not promise that the need of POPCNT feature gets reverted. We have it planned for 3.12.0 (but as said no promises)

3 Likes

Same problem. I was hit with the Jan 31 expiry, upgraded to 3.11 and it simply wouldn’t work. Ran across this thread, and tried upgrading to 3.10.2 - that worked.

The processor the server is using is an AMD Athlon 4050e (2008 release year I believe).

I :heart: the message in this thread … force upgrade via license expiry but don’t promise backward hardware compatibility. No bueno. Either commit to fix so we know we have an upgrade path in a couple months on the next expiry, or commit not to fix so we can plan to move off TS or get new hardware.

2 Likes

Hi

I Plan to updatet my Server form version 3.9.1 to 3.11.0 and i see here in that new Forum this Post here…

My CPU its an Intel® Celeron® CPU J1900 @ 1.99GHz, i not know its supported POPCNT thing… the Page form intel say its coming Q4’13…so…i not sure…

But yeah Many used old CPUs and i hope this

[quote=“TS.ChrisR, post:36, topic:1007, full:true”]
Can not promise that the need of POPCNT feature gets reverted. We have it planned for 3.12.0 (but as said no promises)
[/quote] will be happend…

btw whats its on german forum here happend? oO

Just download the update extract the files to a separate folder - do not replace your current server files - and run the update to test for it to work on your machine or not.

German translation

Lade dir das Update herunter, extrahiere die Dateien in einen separaten Ordner und starte den Server.
Prüfe damit ob das Update mit deinem System kompatibel ist und der Server läuft ohne abzustürzen.

I had it too
don’t worry, this will pass

hi can you tell me why the 3.9.1 is no longer since about 31.01.2020 none of my system? if only from 3.10.0 SSE4 is needed.

3.9.1 stopped working because the default license expired 31.01.2020, nothing to do with the SSE4. You need to update to at least 3.10.0 for new default license that will expire 01.07.2020. The SSE4 (POPCNT) issue is for those running the 3.11.0 server on very old CPUs.

2 Likes

Hi Everybody,

I hope someone can help me.
I have upgrade my TS to 3.11.0 Win64 but when i start it it stops. See log.
I have removed the firewall rule but no luck. What can i try next?

2020-02-06 18:50:39.399993|INFO |ServerLibPriv | |TeamSpeak 3 Server 3.11.0 (2020-01-13 08:12:37)
2020-02-06 18:50:39.399993|INFO |ServerLibPriv | |SystemInformation: Windows 10 (18363) x64 (AMD or Intel) Binary: 64bit
2020-02-06 18:50:39.399993|INFO |DatabaseQuery | |dbPlugin name: SQLite3 plugin, Version 3, ©TeamSpeak Systems GmbH
2020-02-06 18:50:39.399993|INFO |DatabaseQuery | |dbPlugin version: 3.11.1
2020-02-06 18:50:39.399993|INFO |DatabaseQuery | |checking database integrity (may take a while)
2020-02-06 18:50:39.446869|WARNING |Accounting | |Unable to open licensekey.dat, falling back to limited functionality
2020-02-06 18:50:39.446869|INFO |Accounting | |Licensing Information
2020-02-06 18:50:39.446869|INFO |Accounting | |licensed to : Anonymous
2020-02-06 18:50:39.446869|INFO |Accounting | |type : No License
2020-02-06 18:50:39.446869|INFO |Accounting | |starting date : Mon Jul 1 00:00:00 2019
2020-02-06 18:50:39.446869|INFO |Accounting | |ending date : Wed Jul 1 00:00:00 2020
2020-02-06 18:50:39.446869|INFO |Accounting | |max virtualservers: 1
2020-02-06 18:50:39.446869|INFO |Accounting | |max slots : 32
2020-02-06 18:50:39.478119|INFO | | |myTeamSpeak identifier revocation list was downloaded successfully - all related features are activated
2020-02-06 18:50:43.556264|INFO | | |Puzzle precompute time: 4060
2020-02-06 18:50:43.556264|INFO |FileManager | |listening on 0.0.0.0:30033, [::]:30033

Please review this thread and verify your server’s CPU support POPCNT function.

You may try using server version 3.10.2 also.

The log is ok, try downgrading your server one version. Most of the people who have the same issue, has to downgrade, then it will work again(In most of the cases)
Download:
http://files.teamspeak-services.com/releases/server/3.10.2/

I have downgrade it back to 3.10.2 and it works again.

CPU: E8400 @#GHz
Windows 10 Pro
4Gb internal memory

Btw as a small update to this.

Next Server 3.12.0 (64 bit) will still require POPCNT but will tell to use the 32 bit instead when CPU does not has this feature.
The 32 bit version won’t have that requirement.

We decided to solve it that way because POPCNT makes the whole process a bit faster.
Anyone with old CPU will still be able to use the server then.

7 Likes
twitch instagram twitter facebook